Core - Task # 33850

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Unit/Functional Tests
Created: 2012-02-10 Assigned To: Stefan Neufeind
Updated: 2012-02-13 Due date:

TYPO3 Version: 4.7

PHP Version:

Complexity:

Sprint Focus:

Subject: Adapt unit-tests to new mail-adapter-hook (t3lib_utility_mail)

Description

Adjust the unit-tests to the updated interface instead of the deprecated one.

The change

commit 97a6f07f8fb990302ce3b05865aedcc77f220917

Author: Markus Klein <klein.t3@mfc-linz.at>
Date: Sat Nov 26 22:33:34 2011 -0600

[M[TASK][CONF] Remove deprecated code for 4.7

caused unit-tests for the mail-adapter to fail because those tests still used a deprecated interface.

(Will push fixed unit-tests.)

Related issues:

duplicated by Core - Bug # 32746: Error in test case mailCallsHook and mailCa... Closed 2011-12-21
follows Core - Task # 32108: Delete all deprecated code marked for 4.7 removal Resolved 2011-11-27

Associated revisions

Revision 33eadce8 - 2012-02-11 17:34 - Stefan Neufeind

[TASK] Adapt unit-tests to new mail-adapter-hook
(for t3lib_utility_mail)

Adjust the unit-tests to the updated interface

instead of the deprecated one. The deprecated

interface was removed with 4.7

(commit 97a6f07f8fb990302ce3b05865aedcc77f220917).

Change-Id: 176f6bb24a58ab7{4d487e596e2abedb1da9767da
Resolves: #33850

Releases: 4.7

Reviewed-on: http://review.typo3.org/8973

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

History
#1 - 2012-02-10 19:23 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/8973

#2 - 2012-02-11 17:32 - Steffen Gebert
- Category set to Unit/Functional Tests
- Target version set to 1525

#3 - 2012-02-12 02:30 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:33ea4ce8a42c4c323443e3daf02a0dc2f7392bb1.

#4 - 2012-02-13 09:15 - Steffen Ritter
- Target version changed from 1525 to 4.7.0-betat
